SDL2_gfxMurphyIterator Struct Reference

The structure passed to the internal Murphy iterator. More...

## Data Fields

SDL_Renderer * | renderer
int | u
int | v
int | ku
int | kt
int | kv
int | kd
int | oct2
int | quad4
Sint16 | last1x
Sint16 | last1y
Sint16 | last2x
Sint16 | last2y
Sint16 | first1x
Sint16 | first1y
Sint16 | first2x
Sint16 | first2y
Sint16 | tempx
Sint16 | tempy

## Detailed Description

The structure passed to the internal Murphy iterator.

Definition at line 53 of file SDL2_gfxPrimitives.c.

## Field Documentation

## first1x

Sint16 first1x

Definition at line 59 of file SDL2_gfxPrimitives.c.

## first1y

Sint16 first1y

Definition at line 59 of file SDL2_gfxPrimitives.c.

## first2x

Sint16 first2x

Definition at line 59 of file SDL2_gfxPrimitives.c.

## first2y

Sint16 first2y

Definition at line 59 of file SDL2_gfxPrimitives.c.

## kd

int kd

Definition at line 56 of file SDL2_gfxPrimitives.c.

## kt

int kt

Definition at line 56 of file SDL2_gfxPrimitives.c.

## ku

int ku

Definition at line 56 of file SDL2_gfxPrimitives.c.

## kv

int kv

Definition at line 56 of file SDL2_gfxPrimitives.c.

## last1x

Sint16 last1x

Definition at line 59 of file SDL2_gfxPrimitives.c.

## last1y

Sint16 last1y

Definition at line 59 of file SDL2_gfxPrimitives.c.

## last2x

Sint16 last2x

Definition at line 59 of file SDL2_gfxPrimitives.c.

## last2y

Sint16 last2y

Definition at line 59 of file SDL2_gfxPrimitives.c.

## oct2

int oct2

Definition at line 57 of file SDL2_gfxPrimitives.c.

## quad4

int quad4

Definition at line 58 of file SDL2_gfxPrimitives.c.

## renderer

SDL_Renderer* renderer

Definition at line 54 of file SDL2_gfxPrimitives.c.

## tempx

Sint16 tempx

Definition at line 59 of file SDL2_gfxPrimitives.c.

## tempy

Sint16 tempy

Definition at line 59 of file SDL2_gfxPrimitives.c.

## u

int u

Definition at line 55 of file SDL2_gfxPrimitives.c.

## v

int v

Definition at line 55 of file SDL2_gfxPrimitives.c.

The documentation for this struct was generated from the following file:

- SDL2_gfxPrimitives.c